(* ::Package:: *)

(* AutoDipole - Package of an automated dipole subtraction by
Kouhei Hasegawa, Sven Moch, and Peter Uwer, 2009 *)


(* SuperAutoDipole - MSSM extension by Kouhei Hasegawa, 2010 *)


(* Filename:driver_user.m :driver file of user *)


packagedir=Directory[];
mathdir=StringJoin[packagedir, "/lib/math/"];
executeshell=StringJoin[packagedir, "/lib/sh/runall.sh"];
pathuserparameter=StringJoin[packagedir,"/parameter.m"];
SetDirectory[mathdir];
<<driver.m;
SetDirectory[packagedir];


GenerateAll[ilist_,flist_]:=Module[{},
<<parameter.m;
SetDirectory[mathdir];
CreateAll[ilist,flist];
SetDirectory[packagedir];
executeshellanddirectory=StringJoin[executeshell," ",processdir," ",ToString[model]];
Run[executeshellanddirectory];
];


GenerateAllNumber[ilistnum_,flistnum_]:=Module[{},
SetDirectory[mathdir];
<<number.m;
SetDirectory[packagedir];
numbertransfer[ilistnum,flistnum];
GenerateAll[ilist,flist];
];
