(* ::Package:: *)

(* SuperAutoDipole - MSSM extension by Kouhei Hasegawa, 2010 *)


numbertransfer[ilistnum_,flistnum_]:=Module[{},
Xnum[1]=Part[ilistnum,1];Xnum[2]=Part[ilistnum,2];nfinalnum=Length[flistnum];
Do[Xnum[i]=Part[flistnum,i-2],{i,3,nfinalnum+2}];
Do[transnumber[i];,{i,1,nfinalnum+2}];
ilist={Xlet[1],Xlet[2]};flist={};
Do[AppendTo[flist,Xlet[i]],{i,3,nfinalnum+2}];
]


transnumber[i_]:=Module[{},  
(* SM *)
numasign[1,d];numasign[-1,dbar];
numasign[2,u];numasign[-2,ubar];
numasign[3,s];numasign[-3,sbar];
numasign[4,c];numasign[-4,cbar];
numasign[5,b];numasign[-5,bbar];
numasign[6,t];numasign[-6,tbar];
numasign[11,e];numasign[-11,ebar];
numasign[12,nue];numasign[-12,nuebar];
numasign[13,muon];numasign[-13,muonbar];
numasign[14,numu];numasign[-14,numubar];
numasign[15,tau];numasign[-15,taubar];
numasign[16,nutau];numasign[-16,nutaubar];
numasign[21,g];
numasign[22,gamma];
numasign[23,Z];
numasign[24,Wp];numasign[-24,Wm];
numasign[25,h];

(* MSSM *)
numasign[1000001,sdl];numasign[-1000001,sdlbar];
numasign[1000002,sul];numasign[-1000002,sulbar];
numasign[1000003,ssl];numasign[-1000003,sslbar];
numasign[1000004,scl];numasign[-1000004,sclbar];
numasign[1000005,sb1];numasign[-1000005,sb1bar];
numasign[1000006,st1];numasign[-1000006,st1bar];

numasign[2000001,sdr];numasign[-2000001,sdrbar];
numasign[2000002,sur];numasign[-2000002,surbar];
numasign[2000003,ssr];numasign[-2000003,ssrbar];
numasign[2000004,scr];numasign[-2000004,scrbar];
numasign[2000005,sb2];numasign[-2000005,sb2bar];
numasign[2000006,st2];numasign[-2000006,st2bar];

numasign[1000011,sel];numasign[-1000011,selbar];
numasign[1000012,snuel];numasign[-1000012,snuelbar];
numasign[1000013,smul];numasign[-1000013,smulbar];
numasign[1000014,snumul];numasign[-1000014,snumulbar];
numasign[1000015,stau1];numasign[-1000015,stau1bar];
numasign[1000016,snutaul];numasign[-1000016,snutaulbar];

numasign[2000011,ser];numasign[-2000011,serbar];
numasign[2000013,smur];numasign[-2000013,smurbar];
numasign[2000015,stau2];numasign[-2000015,stau2bar];

numasign[1000021,sg];

numasign[1000022,sN1];
numasign[1000023,sN2];
numasign[1000024,sC1p];numasign[-1000024,sC1m];
numasign[1000025,sN3];
numasign[1000035,sN4];
numasign[1000037,sC2p];numasign[-1000037,sC2m];

numasign[35,H0];
numasign[36,A0];
numasign[37,Hp];numasign[-37,Hm];
];


numasign[num_,let_]:=Module[{},If[Xnum[i]==num,Xlet[i]=let]]
