#!/bin/sh
# AutoDipole package by Kouhei Hasegawa, Sven Moch, and Peter Uwer, 2009
# SuperAutoDipole by Kouhei Hasegawa, 2010
# Shell script to install SuperAutoDipole package

MadVersion=MG_ME_SA_V4.4.30
HOMEPATH=`pwd`
echo 'Package home'
echo $HOMEPATH

# Confirm user will
if [ -d $HOMEPATH/process ]
then
dirnum=`ls $HOMEPATH/process| wc -l`
else
dirnum=-1
fi

if [ $dirnum -gt 0 ]
then
echo "$dirnum directory exist in process"
echo 'Do you wish to eliminate all them and to Unstall <y or n> ?'
read ANSWER
echo

 if [ $ANSWER = 'n' ]
  then
   echo 'Uninstall is cancelled'
   exit
 fi

 if [ ! $ANSWER = 'y' ]
  then
  echo 'You typed an invalid character'
  exit
 fi        

 if [ $ANSWER = 'y' ]
  then
  echo 'Uninstall is required'
 fi

elif [ $dirnum -eq 0 ]
then
 echo 'No directory in process'
fi


# Start Uninstall\
echo 'Uninstall is starting'
echo 'Eliminating directory'
rm -fr process
rm -fr patch
rm -fr MadEvent
rm -fr $MadVersion
rm -fr driver_user.m
rm -fr parameter.m

cd $HOMEPATH

echo 'Uninstall is done'
